varying vec3 wNormal;

void main( void )
{
	float znear = gl_ProjectionMatrix[2].z;
	float zfar = gl_ProjectionMatrix[3].z;
	float near = zfar / (znear - 1.0);
	float far = zfar / (znear + 1.0);

	float depth = 1.0 / (gl_FragCoord.w * far);

	gl_FragData[0] = vec4(normalize(wNormal), depth);
	gl_FragData[1] = vec4(normalize(wNormal), depth);
}